Enable the history snapshot task Generally available

PUT /api/security/entity_store/history_snapshot/enable

Spaces method and path for this operation:

put /s/{space_id}/api/security/entity_store/history_snapshot/enable

Refer to Spaces for more information.

Enable the Entity Store history snapshot task for this space. After a successful enable, Kibana schedules an immediate snapshot run. If that immediate run fails, the response is still 200 and the task remains enabled for the next scheduled interval. If the task is already enabled, the request succeeds and does not start an extra run. Returns 404 if the Entity Store is not installed in the current space.

[Required authorization] Route required privileges: securitySolution.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Responses

  • 200 application/json

    Indicates a successful response.

  • 404 application/json

    Entity store is not installed.

PUT /api/security/entity_store/history_snapshot/enable
curl -X PUT -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
  "${KIBANA_URL}/api/security/entity_store/history_snapshot/enable"
PUT kbn://api/security/entity_store/history_snapshot/enable
Response examples (200)
The Entity Store history snapshot task was enabled.
{
  "ok": true
}
Response examples (404)
The Entity Store history snapshot task cannot be enabled because the entity store is not installed.
{
  "error": "Not Found",
  "message": "Entity store is not installed",
  "statusCode": 404
}